openQA Project - action #57845

coordination # 15132 (Blocked): [saga][epic] Better structure of test plans in main.pm
coordination # 44360 (Blocked): [epic] Parameterize test suites within job groups
coordination # 55730 (Resolved): [epic] Move parameters from test suites into job groups

Switch more job groups to YAML job templates

2019-10-09 16:28 - okurz

Status: Resolved Start date: 2019-10-09
Priority: Normal Due date:

Assignee: okurz % Done: 0%
Category: Organisational Estimated time: 0.00 hour
Target version: Current Sprint

Difficulty:

Description

History

#1 - 2019-10-22 20:59 - okurz
- Due date changed from 2019-10-22 to 2019-11-05

As discussed in the QA tools weekly meeting 2019-10-22 and announced in
http://mailman.suse.de/mlarch/SuSE/openga/2019/openqa.2019.10/msg00005.html we will await SLE12SP5 GM gold declaration and then switch
over all remaining job groups to the YAML format.

#2 - 2019-11-04 15:47 - okurz
- Due date changed from 2019-11-05 to 2019-11-19

#3 - 2019-11-19 10:54 - okurz
- Due date changed from 2019-11-19 to 2019-12-17

03 is fully YAML-only now. osd has select count(id) from job_groups where template is null; -> 114 . Next step:
https://github.com/os-autoinst/openQA/pull/2518 for deprecation notice. Follow-up: https:/github.com/os-autoinst/openQA/pull/2519 disabling editor
functionalities. In weekly tools team meeting we decided to point admins to the Ul for saving instead of coming up with a migration script that could
break in the background. | assume with this we give users again more time to switch by themselves.

#4 - 2019-11-19 11:33 - coolo

That deprecation warning was not for osd though - there we gave a deprecation warning by email before summer. So go ahead with osd
independently of that

#5 - 2019-11-19 14:16 - mgriessmeier

for reference:
Functional group for SLE15 was already migrated, including gitlab-ci with auto deployment in place - same as for YaST job group

#6 - 2019-11-19 14:47 - okurz

Sent email announcement to openga.suse.de. Saving backup of all job templates with openga-dump-templates --full --json --host openqa.suse.de >
openga_templates_osd-$(date +%F).json && openga-dump-templates --full --host openga.suse.de > openqa_templates_osd-$(date +%F).pl, saved
in https://w3.n m/~okurz n kup_j mpl fore_switch ml_| 784

| did a dry-run of the migration with

for i in $(ssh openga.suse.de "sudo -u geekotest psgl --no-align —--tuples-only —--command=\"select id from Jjob_
groups where template is null order by id;\" openga") ; do curl -s http://openga.suse.de/api/v1/job_templates_
scheduling/$i | openga-client --Jjson-output —--host http://openga.suse.de job_templates_scheduling/$i post —--fo
rm schema=JobTemplates-01.yaml preview=1l template="$(cat -)"; done | tee migration_preview.log 2>&l

and have received entries like

{
"preview" : 1
}
for all job groups. | guess this is a good sign.

And a live change with

for i in $(ssh openga.suse.de "sudo -u geekotest psgl --no-align --tuples-only —--command=\"select id from Jjob_
groups where template is null order by id;\" openga") ; do curl -s http://openga.suse.de/api/vl/job_templates_
scheduling/$i | openga-client —--json-output --host http://openga.suse.de job_templates_scheduling/$i post —-fo
rm schema=JobTemplates-01.yaml template="$(cat —-)"; done | tee migration.log 2>&l

All done. Database query select count(id) from job_groups where template is null; returns 0 job groups left. The ids of all job groups converted can be
found in https://w3.nue.suse.com/~okurz/openga_osd_backup_job_templates_before_switch_to_yaml_poo57845/ as well.

#7 - 2019-11-19 17:37 - okurz
- Due date changed from 2019-12-17 to 2019-11-19

- Status changed from Feedback to Resolved

Considered done.

#8 - 2020-12-02 14:22 - okurz
- Due date deleted (2019-11-19)

2021-10-25 22


https://w3.nue.suse.com/%7Eokurz/openqa_osd_backup_job_templates_before_switch_to_yaml_poo57845/
http://www.tcpdf.org

